using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Init(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            this.Button1.Text = "Remove SupplierId Column";
        }
	  this.GridGroupingControl1.DataMember="DefaultView";
        //Add a primary key to the PrimaryKeyColumns collection 
        GridTableDescriptor mainTD = this.GridGroupingControl1.TableDescriptor;
        // CustomerID could be a field name in the datasource
		
        mainTD.PrimaryKeyColumns.Add("ProductID"); 
        this.DataBind();

        this.GridGroupingControl1.TableDescriptor.UnboundFields.Add("Total");
        this.GridGroupingControl1.TableDescriptor.Columns.Add("Total");
        this.GridGroupingControl1.TableDescriptor.VisibleColumns.Add("Total");
        //Event handlers.
        this.GridGroupingControl1.QueryValue += new Syncfusion.Grouping.FieldValueEventHandler(GridGroupingControl1_QueryValue);

    }
    //QueryValue event is handled to update the total column's value
    void GridGroupingControl1_QueryValue(object sender, Syncfusion.Grouping.FieldValueEventArgs e)
    {
       if (e.Field.Name == "Total")
       {
           //getting the record for each row
            Record rd=e.Record;
            int val = Convert.ToInt32(rd.GetValue("UnitsInStock")) * Convert.ToInt32(rd.GetValue("UnitPrice"));
           //updating the value of the unbound column.
            e.Value = val;
         }
        
    }
    // updating the hyperlink column with data.
    protected string GetQuoteHyperLink(string Qno)
    {
        return "http://www.syncfusion.com/Support/Forums/forum.aspx?forumid=6&page=" + Qno;//"http://www.syncfusion.com/support/kb/grid/Default.aspx?ToDo=view&questId=" + Qno;
    }

    //Toggling the 'SupplierID' Column's Visiblity.
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (this.Button1.Text == "Add SupplierId Column")
        {
            this.GridGroupingControl1.TableDescriptor.VisibleColumns.Add("SupplierID");
            this.GridGroupingControl1.TableDescriptor.VisibleColumns.Reset();
            this.Button1.Text = "Remove SupplierId Column";
        }
        else
        {
            this.GridGroupingControl1.TableDescriptor.VisibleColumns.RemoveAt(2);
            this.Button1.Text = "Add SupplierId Column";
        }
    }
}
